#
from AccessControl.Permissions import view
from Products.PluggableAuthService import registerMultiPlugin
try:
    from ShibbolethLogin.redirector import ShibbolethLoginHandler
except ImportError:
    from Products.ShibbolethLogin.redirector import ShibbolethLoginHandler
try:
    from ShibbolethLogin import zmi
except ImportError:
    from Products.ShibbolethLogin import zmi

try:
    registerMultiPlugin(ShibbolethLoginHandler.meta_type)
except RuntimeError:
    pass

shib_globals = globals()        # for Extensions/Install.py

def initialize(context):
    """Intializer called when used as a Zope 2 product."""
    context.registerClass(ShibbolethLoginHandler,
                          permission=view,
                          constructors=(zmi.manage_addShibbolethLoginForm,
                                        zmi.manage_addShibbolethLogin),
                          visibility=None,
                          icon='shibbolethlogin.gif')
