"""Used in installing ShibbolethLogin."""

__revision__ = '0.1'

from Products.PageTemplates.PageTemplateFile import PageTemplateFile
try:
    from ShibbolethLogin.redirector import ShibbolethLoginHandler
except ImportError:
    from Products.ShibbolethLogin.redirector import ShibbolethLoginHandler


manage_addShibbolethLoginForm = PageTemplateFile('add-ShibbolethLogin.zpt', globals())

def manage_addShibbolethLogin(self, pluginId, title='', REQUEST=None):
    """Add redirecting to a Shibboleth SSO server for login."""

    handler = ShibbolethLoginHandler(pluginId, title)
    self._setObject(handler.getId(), handler)

    if REQUEST is not None:
        REQUEST['RESPONSE'].redirect('%s/manage_workspace'
                                     '?manage_tabs_message='
                                     'ShibbolethLogin+added.'
                                     % self.absolute_url())
